Open Infrastructure - Task #7632

Setup rados / s3 storage on ceph
01/20/2020 11:35 AM - Nico Schottelius

Status: Closed Start date: 01/20/2020
Priority: Immediate Due date: 01/20/2020
Assignee: Il nu % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

¢ Including permissions
¢ Document the setup
¢ Document how to use it

History

#1 - 01/21/2020 07:55 PM - Il nu

- Status changed from New to Seen

#2 - 01/21/2020 09:42 PM - Nico Schottelius

redmine@ungleich.ch writes:

#3 - 01/23/2020 01:41 PM - Il nu

using this manual the radosgw is configured at rgw.linu.at

https://access.redhat.com/documentation/en-us/red _hat_ceph_storage/3/html/installation_guide for_red_hat_enterprise_linux/manually-installing-cep
h-object-gateway

We don't have ceph-deploy/redhat init scripts so some parts of the setup might be missing
It starts up, talks to the monitor (checked via tcpdup) however it doesnt start to listen at port :80 via civetweb as it was specified in the ceph.conf file:

[client.rgw.rgw]

host = rgw

#rgw socket path = /var/run/ceph/ceph.radosgw.gateway.fastcgi.sock
rgw frontends = "civetweb port=80"

log file = /var/log/ceph/ceph-rgw-gateway.log

rgw dns name = rgw.llnu.at

keyring = /var/lib/ceph/radosgw/ceph-rgw.rgw/keyring

#4 - 01/23/2020 05:30 PM - Il nu

Radosgw is running. The correct way to start is1:
/usr/bin/radosgw --cluster ceph --name client.rgw. hostname -s' -setuser ceph --setgroup ceph
atm I'm tweaking the settings to setup ssl, and ipv6 support

1: (it wasnt writted anywhere but one must supply the --name argument, without it doesnt work, and it wont complain either -.-)

#5 - 01/23/2020 05:46 PM - Il nu

updated conf with ssl

[client.rgw.rgw]

host = rgw

#rgw socket path = /var/run/ceph/ceph.radosgw.gateway.fastcgi.sock

rgw socket path = /tmp/radosgw.sock

rgw frontends = beast ssl_port=443 ssl|_certificate=/etc/letsencrypt/live/rgw.linu.at/cert.pem
ssl_private_key=/etc/letsencrypt/live/rgw.linu.at/privkey.pem

log file = /var/log/ceph/ceph-rgw-gateway.log

rgw dns name = rgw.lInu.at

keyring = /var/lib/ceph/radosgw/ceph-rgw.rgw/keyring
#6 - 01/23/2020 05:53 PM - Nico Schottelius

Note for production checking: what happens/is required to do if the
certificate is replaced with a new one?

redmine@ungleich.ch writes:

#7 - 01/27/2020 04:58 PM - Il nu

thats a good question, first ill test the existing setup

wildcard cert setup:

certbot certonly —--manual —--preferred-challenges=dns --email llnu@protonmail.ch —--server https://acme-v02.api
.letsencrypt.org/direct

ory ——agree-tos -d *.rgw.llnu.a

challange:

Please deploy a DNS TXT record under the name

_acme-challenge.rgw.llnu.at with the following value:

added to bind:
_acme-challenge.rgw TXT "kEuj7KknBtnGzUAVykfgfvlH6d0gqwflF5FDY3SwNg7M"

added wildcard dns entries so all domains under .rgw.llnu.at will resolve to 1 ip
*.rgw AAAA 2a0a:eb5c0:10:bee:0:£f£:£e00:205
testing begins here:

add user:
radosgw—admin user create —--uid="testuser" --display-name="First User"

list keys/infos about a user
radosgw—admin user info —--uid=testuser

git to useful ceph test programs:
https://github.com/ronaldddilley/ceph-s3-examples

depreceated:
with python.boto, as described on https://docs.ceph.com/docs/nautilus/install/install-ceph—-gateway/
to create a user:

radosgw—-admin user create —--uid="testuser" --display-name="First User"
# note here the access/secret key

#8 - 02/24/2020 11:57 PM - Il nu

- Status changed from Seen to Closed
